{% extends 'base.html' %}
{% load static %}

{% block title %}
    Занятие {{ lesson.name }} {{ lesson.date|date:"Y-m-d" }} {{ lesson.time_start }}-{{ lesson.time_end }}
{% endblock %}

{% block extra_js %}
    <!-- Core CSS file -->
    <link rel="stylesheet" href="{% static 'photo_swipe/photoswipe.css' %}">

    <!-- Skin CSS file (styling of UI - buttons, caption, etc.)
         In the folder of skin CSS file there are also:
         - .png and .svg icons sprite,
         - preloader.gif (for browsers that do not support CSS animations) -->
    <link rel="stylesheet" href="{% static 'photo_swipe/default-skin/default-skin.css' %}">

    <!-- Core JS file -->
    <script src="{% static 'photo_swipe/photoswipe.min.js' %}"></script>

    <!-- UI JS file -->
    <script src="{% static 'photo_swipe/photoswipe-ui-default.min.js' %}"></script>

    <script>


        var openPhotoSwipe = function() {
            var pswpElement = document.querySelectorAll('.pswp')[0];

            // build items array
            var items = {{ photos|safe }};

            // define options (if needed)
            var options = {
                // history & focus options are disabled on CodePen
                history: false,
                focus: false,

                showAnimationDuration: 0,
                hideAnimationDuration: 0

            };

            var gallery = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items, options);
            gallery.init();
        };

        openPhotoSwipe();

        document.getElementById('openGallery').onclick = openPhotoSwipe;
    </script>

{% endblock %}


{% block content %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'landing:index' %}">Главная</a></li>
            <li class="breadcrumb-item active"><a href="{% url 'private:lesson_list' %}">Занятия</a></li>
            <li class="breadcrumb-item active" aria-current="page">Занятие {{ lesson.name }} {{ lesson.date|date:"Y-m-d" }} {{ lesson.time_start }}-{{ lesson.time_end }}</li>
        </ol>
    </nav>

    <button id="openGallery" class="btn btn-primary">Открыть галерею</button>

    <!-- Root element of PhotoSwipe. Must have class pswp. -->
    <div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">

        <!-- Background of PhotoSwipe.
             It's a separate element, as animating opacity is faster than rgba(). -->
        <div class="pswp__bg"></div>

        <!-- Slides wrapper with overflow:hidden. -->
        <div class="pswp__scroll-wrap">

            <!-- Container that holds slides. PhotoSwipe keeps only 3 slides in DOM to save memory. -->
            <div class="pswp__container">
                <!-- don't modify these 3 pswp__item elements, data is added later on -->
                <div class="pswp__item"></div>
                <div class="pswp__item"></div>
                <div class="pswp__item"></div>
            </div>

            <!-- Default (PhotoSwipeUI_Default) interface on top of sliding area. Can be changed. -->
            <div class="pswp__ui pswp__ui--hidden">

                <div class="pswp__top-bar">

                    <!--  Controls are self-explanatory. Order can be changed. -->

                    <div class="pswp__counter"></div>

                    <button class="pswp__button pswp__button--close" title="Close (Esc)"></button>

                    <button class="pswp__button pswp__button--share" title="Share"></button>

                    <button class="pswp__button pswp__button--fs" title="Toggle fullscreen"></button>

                    <button class="pswp__button pswp__button--zoom" title="Zoom in/out"></button>

                    <!-- Preloader demo https://codepen.io/dimsemenov/pen/yyBWoR -->
                    <!-- element will get class pswp__preloader--active when preloader is running -->
                    <div class="pswp__preloader">
                        <div class="pswp__preloader__icn">
                            <div class="pswp__preloader__cut">
                                <div class="pswp__preloader__donut"></div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">
                    <div class="pswp__share-tooltip"></div>
                </div>

                <button class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)">
                </button>

                <button class="pswp__button pswp__button--arrow--right" title="Next (arrow right)">
                </button>

                <div class="pswp__caption">
                    <div class="pswp__caption__center"></div>
                </div>

            </div>

        </div>

    </div>


{% endblock %}
